Super Clients
List Super Clients
GET /client/{client_id}/super
List all Super Clients of {client_id}
Response 200: A list of Super Clients
| Field | Type | Description |
|---|---|---|
grantee |
object | |
grantee.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
grantee.name |
string | |
id |
integer | The Unique ID that represents the relationship between the Client and Sub Client. |
Create Super Client
POST /client/{client_id}/super
Create a new Super Client of {client_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
client_id |
integer | yes |
Response 200: A Super Client
| Field | Type | Description |
|---|---|---|
grantee |
object | |
grantee.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
grantee.name |
string | |
id |
integer | The Unique ID that represents the relationship between the Client and Sub Client. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
client_id |
integer | yes |
Response 422: Unprocessable Entity
Delete Super Client
DELETE /client/{client_id}/super/{super_id}
Delete a super client
Response 200: One Super Client deleted
Response 404: Item not Found
View Super Client
GET /client/{client_id}/super/{super_id}
View a specific super client
Response 200: A Super Client
| Field | Type | Description |
|---|---|---|
grantee |
object | |
grantee.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
grantee.name |
string | |
id |
integer | The Unique ID that represents the relationship between the Client and Sub Client. |
Edit Super Client
PATCH /client/{client_id}/super/{super_id}
Edit a specific super client
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing |
object | ||
billing.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
billing.ignoreAutoSuspend |
boolean | ||
billing.integration |
object | ||
email |
string | ||
first |
string | ||
last |
string | ||
password |
string |
Response 200: A Super Client
| Field | Type | Description |
|---|---|---|
grantee |
object | |
grantee.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
grantee.name |
string | |
id |
integer | The Unique ID that represents the relationship between the Client and Sub Client. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing |
object | ||
billing.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
billing.ignoreAutoSuspend |
boolean | ||
billing.integration |
object | ||
email |
string | ||
first |
string | ||
last |
string | ||
password |
string |
Response 422: Unprocessable Entity